Name:           sendKindle
Version:        2.1
Release:        12%{?dist}
Summary:        CLI tool for sending files via email to your Amazon Kindle device
BuildArch:      noarch
License:        AGPLv3+
URL:            https://github.com/kparal/sendKindle
Source0:        https://github.com/kparal/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:       python2-setuptools

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description
Send files as email attachments to your Amazon Kindle device. IMAP access
to your email account is required.

%prep
%setup -q
# Installation removed the executable bit, rpmlint then complains,
# let's remove the hashbang
# https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries
sed '1{\@^#!/usr/bin/env python@d}' sendKindle.py > sendKindle.py.new
touch -r sendKindle.py{,.new}
mv sendKindle.py{.new,}

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

%files
%{_bindir}/sendKindle
%{python_sitelib}/sendKindle.py*
%{python_sitelib}/sendKindle-%{version}-*.egg-info/
%doc README.rst LICENSE

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.1-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 05 2013 Kamil Páral <kparal@redhat.com> - 2.1-4
- Change BR: python-setuptools-devel to python-setuptools
  https://lists.fedoraproject.org/pipermail/devel/2013-November/191344.html

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 Kamil Páral <kparal@redhat.com> - 2.1-2
- Add python-setuptools dependency (#982243)

* Thu Nov 15 2012 Kamil Páral <kparal@redhat.com> - 2.1-1
- New package for Fedora

